### Method

# Gdk DmabufFormatsget_n_formats

since: 4.14

#### Declaration [src]

    gsize
    gdk_dmabuf_formats_get_n_formats (
      GdkDmabufFormats* formats
    )

#### Description [src]

Returns the number of formats that the `formats` object contains.

Note that DMA buffers are a Linux concept, so on other platforms, `gdk_dmabuf_formats_get_n_formats()` will always return zero.

Available since: 4.14

#### Return value

Type: `gsize`

The number of formats.